#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Text
%define		pnam	CSV_XS
Summary:	Text::CSV_XS - comma-separated values manipulation routines
Summary(pl.UTF-8):	Text::CSV_XS - operacje na wartościach oddzielonych przecinkami
Name:		perl-Text-CSV_XS
Version:	0.85
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Text/%{pdir}-%{pnam}-%{version}.tgz
# Source0-md5:	876e4017ef95eaa5740730fef14e976f
URL:		http://search.cpan.org/dist/Text-CSV_XS/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Text::CSV_XS Perl module provides facilities for the composition and
decomposition of comma-separated values. An instance of the
Text::CSV_XS class can combine fields into a CSV string and parse a
CSV string into fields.

%description -l pl.UTF-8
Moduł Perla Text::CSV_XS udostępnia metody do składania i rozkładania
wartości oddzielonych przecinkami. Instancja klasy Text::CSV_CS
potrafi łączyć pola w łańcuch CSV oraz rozkładać łańcuch CSV na pola.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorarch}/Text/CSV_XS.pm
%dir %{perl_vendorarch}/auto/Text/CSV_XS
%{perl_vendorarch}/auto/Text/CSV_XS/CSV_XS.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Text/CSV_XS/CSV_XS.so
%{_mandir}/man3/Text::CSV_XS.3pm*
%changelog
* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> af2d10d
- up to 0.85

* Tue Jul 19 2011 Jakub Bogusz <qboosh@pld-linux.org> 68331fa
- updated to 0.82

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 586a156
- release 4

* Thu Jul 15 2010 Elan Ruusamäe <glen@pld-linux.org> db37c61
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 030e257
- release 2

* Wed Nov 11 2009 amateja <amateja@pld-linux.org> eae496e
- updated to 0.69

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> f2ea8bb
- updated to 0.67

* Fri Jan 16 2009 radek <radek@pld-linux.org> 35c177e
- version 0.58

* Sun May 11 2008 hawk <hawk@pld-linux.org> 2488bda
- updated to 0.45

* Wed Apr 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 658dfc5
- up to 0.37

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 0f8d4cc
- sane make install

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 9081c1d
- informative summaries

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 30013ce
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 2a25b72
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Fri Nov 02 2007 Jakub Bogusz <qboosh@pld-linux.org> ad1dc44
- generic URL

* Fri Nov 02 2007 Tomasz Pala <gotar@pld-linux.org> 15e7a59
- updated to 0.32

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 874ecf8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ada58dc
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> cf86439
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> 5ad1cfc
- rel. 5

